<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE	message SYSTEM "message.dtd">
<miracle>
	<version>1.0.0.12</version>
	<message>
		<service name="runtime">
			<messagelist>
				<messageinfo name="regist" requirereturn="true" destination="runtime">
					<property name="name" type="string" />
					<property name="commandline" type="string" trnasfer="return"/>
					<property name="returnvalue" type="dword" trnasfer="return"/>
				</messageinfo>
				<messageinfo name="ready" requirereturn="true" destination="runtime">
					<property name="name" type="string" />
					<property name="returnvalue" type="dword" trnasfer="return"/>
				</messageinfo>
				<messageinfo name="unregist" requirereturn="true" destination="runtime">
					<property name="name" type="string"/>
				</messageinfo>
				<messageinfo name="closeframework" requirereturn="true" destination="runtime">
				<property name="returnvalue" type="string"/>
				</messageinfo>
				<messageinfo name="close" requirereturn="false" destination="all">
				</messageinfo>
				<messageinfo name="waitforservice" requirereturn="true" waittime="infinite" destination="runtime">
					<property name="name" type="string"/>
					<property name="waittime" type="long"/>
					<property name="returnvalue" type="dword" trnasfer="return"/>
				</messageinfo>
				<messageinfo name="receiverstarted" requirereturn="false" destination="runtime">
					<property name="proxyinterface" type="dword"/>
					<property name="commandline" type="string"/>
				</messageinfo>
				<messageinfo name="startservice" requirereturn="true" destination="runtime">
					<property name="modulename" type="string"/>
					<property name="type" type="string"/>
					<property name="returnvalue" type="dword" trnasfer="return"/>
				</messageinfo>
				<messageinfo name="dependency" requirereturn="true" destination="runtime">
					<property name="servicename" type="string"/>
					<property name="returnvalue" type="dword" trnasfer="return"/>
				</messageinfo>
				<messageinfo name="isneedupdate" requirereturn="true" destination="runtime">
					<property name="returnvalue" type="string" trnasfer="return"/>
				</messageinfo>
				
			</messagelist>
		</service>
	</message>
</miracle>
